## START: Set by rpmautospec
## (rpmautospec version 0.6.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global python3_pkgversion 3.11

%global srcname pytz

# Allow build without test
%bcond_without tests

Name:           python3.11-pytz
Version:        2024.1
Release:        %autorelease
Summary:        World Timezone Definitions for Python

License:        MIT
URL:            http://pytz.sourceforge.net/
Source:         %pypi_source
# Patch to use the system supplied zoneinfo files
Patch0:         pytz-zoneinfo.patch
# https://bugzilla.redhat.com/1497572
Patch1:         remove_tzinfo_test.patch

BuildArch:      noarch
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}dist(setuptools)
%if %{with tests}
BuildRequires:  python%{python3_pkgversion}dist(pytest)
%endif
BuildRequires:  tzdata
Requires:       tzdata


%description
pytz brings the Olson tz database into Python. This library allows accurate
and cross platform timezone calculations using Python 2.3 or higher. It
also solves the issue of ambiguous times at the end of daylight savings,
which you can read more about in the Python Library Reference
(datetime.tzinfo).

Almost all (over 540) of the Olson timezones are supported.


%prep
%autosetup -p1 -n %{srcname}-%{version}


%build
%py3_build


%install
%py3_install
rm -r %{buildroot}%{python3_sitelib}/pytz/zoneinfo


%if %{with tests}
%check
%pytest -v
%endif


%files
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/pytz/
%{python3_sitelib}/*.egg-info/


%changelog
## START: Generated by rpmautospec
* Tue Mar 26 2024 Nils Philippsen <nils@redhat.com> - 2024.1-1
- Import package
## END: Generated by rpmautospec
